Subject: [spring] Where a trigger for the protection switchover in SR-MPLS will come from?

From: Greg Mirsky <[email-masked]>
Date: Sun, 2 Aug 2020 16:56:18 -0700

Dear All,
after reviewing draft-hegde-spring-node-protection-for-sr-te-paths I've got
a question to ask Where a trigger for the protection switchover in SR-MPLS
will come from?
The draft discusses methods to provide local link and node protection.
Obviously, the protection is triggered by the detection of the failure. The
document refers to Section 5.2 RFC 8679 in which relationships between the
defect detection mechanism used and the scope of protection (link or node)
are discussed. RFC 8679 is MPLS-centric and, though not explicitly
referenced, BFD over MPLS LSP (RFC 5884) can be used as the defect
detection mechanism. To the best of my knowledge, SPRING WG doesn't have a
WG document describing defect detection mechanism in an SR-MPLS network.
Hence my question in the subject line. Of course, not having a solution
does not affect the value
of draft-hegde-spring-node-protection-for-sr-te-paths but it probably would
stand out as the more comprehensive solution if the specification of the
defect detection in SR-MPLS was produced by the SPRING WG soon after.

Regards,
Greg

---

From: Shraddha Hegde <[email-masked]>
Date: Mon, 3 Aug 2020 11:45:24 +0000

Hi Greg,

There is an individual document in SPRING WG that describes BFD for SR-MPLS LSP
https://datatracker.ietf.org/doc/draft-ali-spring-bfd-sr-policy/?include_text=1

The  draft-hegde-spring-node-protection-for-sr-te-paths is focused on local repair triggered on the
PLR . Headend triggered path protection is out of scope for draft-hegde-spring-node-protection-for-sr-te-paths.

Rgds
Shraddha

Juniper Business Use Only
From: spring <[email-masked]> On Behalf Of Greg Mirsky
Sent: Monday, August 3, 2020 5:26 AM
To: spring <[email-masked]>; [email-masked]
Subject: [spring] Where a trigger for the protection switchover in SR-MPLS will come from?

[External Email. Be cautious of content]

Dear All,
after reviewing draft-hegde-spring-node-protection-for-sr-te-paths I've got a question to ask Where a trigger for the protection switchover in SR-MPLS will come from?
The draft discusses methods to provide local link and node protection. Obviously, the protection is triggered by the detection of the failure. The document refers to Section 5.2 RFC 8679 in which relationships between the defect detection mechanism used and the scope of protection (link or node) are discussed. RFC 8679 is MPLS-centric and, though not explicitly referenced, BFD over MPLS LSP (RFC 5884) can be used as the defect detection mechanism. To the best of my knowledge, SPRING WG doesn't have a WG document describing defect detection mechanism in an SR-MPLS network. Hence my question in the subject line. Of course, not having a solution does not affect the value of draft-hegde-spring-node-protection-for-sr-te-paths but it probably would stand out as the more comprehensive solution if the specification of the defect detection in SR-MPLS was produced by the SPRING WG soon after.

Regards,
Greg